# Akamai\Open\EdgeGrid\Authentication::makeBase64Sha256

#### Returns Base64 encoded SHA256 Hash

## Signature

`protected function makeBase64Sha256(string $data )`

## Parameters

`$data` — string

## Returns

string

## Test Coverage

### Information

- Coverage: 2/2 Lines (100%)
- Tests: 9
- Passed: 9 (100%)

### Tests

- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Client\AuthenticationTest::POST inside limit with data set #2
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Client\AuthenticationTest::POST too large with data set #3
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Client\AuthenticationTest::POST length equals max_body with data set #4
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeader with data set #2
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeader with data set #3
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeader with data set #4
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeaderPsr7 with data set #2
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeaderPsr7 with data set #3
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeaderPsr7 with data set #4